- Aldebaran documentation |
- C++ Libraries |
- index

libalerror 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Macros Pages
Public Member Functions | List of all members
AL::ALNetworkError Class Reference

ALNetworkError is an exception raised when a network error occur in alcommon. More...

`#include "alerror/alnetworkerror.h"`

## Public Member Functions
| ALNetworkError (std::string pModuleName, std::string pMethod, std::string pDescription, const char *pszFilename=NULL, const unsigned int pnNumLine=0)
| Constructor. More...
Public Member Functions inherited from AL::ALError
| ALError (const std::string &pModuleName, const std::string &pMethod, const std::string &pDescription, const char *pszFilename=0, const unsigned int pnNumLine=0)
| Constructor. More...
| ALError ()
| Constructor. More...
| ALError (const ALError &e)
| Copy Constructor. More...
virtual | ~ALError () throw ()
| Destructor. More...
QI_API_DEPRECATED const std::string | toString () const
| deprecated More...
QI_API_DEPRECATED const std::string & | getModuleName () const
| deprecated More...
QI_API_DEPRECATED const std::string & | getMethodName () const
| deprecated More...
QI_API_DEPRECATED const std::string & | getFileName () const
| deprecated More...
QI_API_DEPRECATED int | getLine () const
| deprecated More...
QI_API_DEPRECATED const std::string | getDescription () const
| deprecated More...

## Detailed Description

ALNetworkError is an exception raised when a network error occur in alcommon.

Definition at line 37 of file alnetworkerror.h.

## Constructor & Destructor Documentation

AL::ALNetworkError::ALNetworkError | ( | std::string | pModuleName,
|  | std::string | pMethod,
|  | std::string | pDescription,
|  | const char * | pszFilename = `NULL`,
|  | const unsigned int | pnNumLine = `0`
| ) |  |

Constructor.

Parameters

  pModuleName | module's name that create error
  pMethod | method's name where error occured
  pDescription | error's descripton
  pszFilename | source code file name
  pnNumLine | source code line number

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libnaoqi/libalerror/alerror/alnetworkerror.h